Name: x11-driver-video-savage
Version: 2.4.1
Release: %mkrel 2
Summary: X.org driver for S3 Savage Cards
Group: System/X11
URL: https://xorg.freedesktop.org
Source: https://xorg.freedesktop.org/releases/individual/driver/xf86-video-savage-%{version}.tar.xz
License: MIT
ExclusiveArch: %ix86 x86_64

BuildRequires: pkgconfig(libdrm) >= 2.0
BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: pkgconfig(xorg-server) >= 1.0.1
BuildRequires: x11-util-macros >= 1.0.1
BuildRequires: GL-devel

Requires: x11-server-common %(xserver-sdk-abi-requires videodrv)

Conflicts: xorg-x11-server < 7.0

%description
x11-driver-video-savage is the X.org driver for S3 Savage Cards.

%prep
%autosetup -p1 -n xf86-video-savage-%{version}

%build
%configure
%make_build

%install
%make_install

%files
%{_libdir}/xorg/modules/drivers/savage_drv.so
%{_mandir}/man4/savage.*




%changelog
* Sun Jun 29 2025 umeabot <umeabot> 2.4.1-2.mga10
+ Revision: 2228265
- Mageia 10 Mass Rebuild

* Sat Sep 28 2024 daviddavid <daviddavid> 2.4.1-1.mga10
+ Revision: 2101714
- new version: 2.4.1

* Fri Apr 01 2022 umeabot <umeabot> 2.3.9-7.mga9
+ Revision: 1837975
- Mageia 9 Mass Rebuild

* Sat Oct 02 2021 tmb <tmb> 2.3.9-6.mga9
+ Revision: 1748565
- rebuild for updated xserver-abi
+ danf <danf>
- Switch URLs from http: to https:

* Wed Feb 19 2020 tv <tv> 2.3.9-5.mga8
+ Revision: 1544031
- only build on x86 x86_64
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 2.3.9-4.mga7
+ Revision: 1301768
- Mageia 7 Mass Rebuild

* Tue Jun 05 2018 tv <tv> 2.3.9-3.mga7
+ Revision: 1234707
- fix build with xserver 1.20
- fix one build issue with xserver 1.20
- rebuild for xserver 1.20 RC1

* Wed Jan 18 2017 tv <tv> 2.3.9-1.mga6
+ Revision: 1082223
- new release

* Thu Nov 17 2016 tv <tv> 2.3.8-8.mga6
+ Revision: 1067855
- add fixes from git
- rebuild for xserver 1.19

* Sat Jul 23 2016 tmb <tmb> 2.3.8-5.mga6
+ Revision: 1043282
- rebuild for xorg-server 1.18.4

* Wed Feb 17 2016 umeabot <umeabot> 2.3.8-4.mga6
+ Revision: 963404
- Mageia 6 Mass Rebuild

* Wed Nov 11 2015 tv <tv> 2.3.8-3.mga6
+ Revision: 902311
- submit to core/release

* Wed Nov 11 2015 tv <tv> 2.3.8-2.mga6
+ Revision: 902062
- rebuild for new xserver

* Sat Jun 20 2015 tv <tv> 2.3.8-1.mga6
+ Revision: 836068
- new release
- rebuild for xserver 1.17

* Wed Oct 15 2014 umeabot <umeabot> 2.3.7-9.mga5
+ Revision: 747666
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.3.7-8.mga5
+ Revision: 690452
- Mageia 5 Mass Rebuild

* Mon Jun 09 2014 tv <tv> 2.3.7-7.mga5
+ Revision: 635050
- submit to core/release

* Fri Jun 06 2014 tv <tv> 2.3.7-6.mga5
+ Revision: 633695
- rebuild for new xserver RC

* Tue Apr 15 2014 tv <tv> 2.3.7-5.mga5
+ Revision: 614385
- rebuild for new xserver

* Tue Feb 04 2014 tv <tv> 2.3.7-4.mga5
+ Revision: 582334
- new release

* Fri Dec 06 2013 tmb <tmb> 2.3.7-3.mga4
+ Revision: 555609
- rebuild for new mesa

* Mon Oct 21 2013 umeabot <umeabot> 2.3.7-2.mga4
+ Revision: 537412
- Mageia 4 Mass Rebuild

* Thu Sep 26 2013 tv <tv> 2.3.7-1.mga4
+ Revision: 486969
- new release

* Thu May 30 2013 tv <tv> 2.3.6-4.mga4
+ Revision: 433197
- submit to core/release

* Mon Jan 14 2013 umeabot <umeabot> 2.3.6-3.mga4
+ Revision: 386019
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Sep 06 2012 tv <tv> 2.3.6-2.mga3.nonfree
+ Revision: 288972
- rebuild for new xserver

* Mon Jul 23 2012 tv <tv> 2.3.6-1.mga3
+ Revision: 273763
- new release

* Thu Jul 12 2012 tv <tv> 2.3.5-1.mga3
+ Revision: 270180
- new release

* Wed Jun 06 2012 tmb <tmb> 2.3.4-3.mga3
+ Revision: 256483
- rebuild for core/release

* Fri Jun 01 2012 tv <tv> 2.3.4-2.mga3
+ Revision: 253021
- rebuild b/c of ia32 failure

* Wed May 30 2012 tv <tv> 2.3.4-1.mga3
+ Revision: 249872
- new release

* Tue Dec 06 2011 tmb <tmb> 2.3.3-3.mga2
+ Revision: 177726
- submit to core/release

* Tue Dec 06 2011 tmb <tmb> 2.3.3-2.mga2
+ Revision: 177642
- submit to core/release

* Mon Oct 10 2011 tv <tv> 2.3.3-1.mga2
+ Revision: 153618
- new release

* Sat Oct 08 2011 tv <tv> 2.3.2-3.mga2
+ Revision: 153130
- rebuild for xserver-1.11

* Fri Mar 04 2011 tv <tv> 2.3.2-2.mga1
+ Revision: 64412
- rebuild for new xserver-1.10

* Fri Feb 11 2011 tmb <tmb> 2.3.2-1.mga1
+ Revision: 50289
- imported package x11-driver-video-savage


* Sun Dec 05 2010 Thierry Vignaud <tv@mandriva.org> 2.3.2-1mdv2011.0
+ Revision: 610591
- new release

* Wed Nov 10 2010 Thierry Vignaud <tv@mandriva.org> 2.3.1-3mdv2011.0
+ Revision: 595717
- require xorg server with proper ABI

* Sun Oct 10 2010 Thierry Vignaud <tv@mandriva.org> 2.3.1-2mdv2011.0
+ Revision: 584626
- bump release before rebuilding for xserver 1.9

* Mon Aug 03 2009 Thierry Vignaud <tv@mandriva.org> 2.3.1-1mdv2010.0
+ Revision: 407720
- new release

* Fri Jul 03 2009 Ander Conselvan de Oliveira <ander@mandriva.com> 2.3.0-1mdv2010.0
+ Revision: 391904
- update to new version 2.3.0

* Tue Dec 30 2008 Colin Guthrie <cguthrie@mandriva.org> 2.2.1-4mdv2009.1
+ Revision: 321381
- Rebuild for new xserver

* Sat Nov 29 2008 Adam Williamson <awilliamson@mandriva.org> 2.2.1-3mdv2009.1
+ Revision: 308175
- rebuild for new X server

* Thu Aug 07 2008 Thierry Vignaud <tv@mandriva.org> 2.2.1-2mdv2009.0
+ Revision: 265928
- rebuild early 2009.0 package (before pixel changes)
- improved description
- add missing dot at end of description
- improved summary

* Tue May 27 2008 Colin Guthrie <cguthrie@mandriva.org> 2.2.1-1mdv2009.0
+ Revision: 211784
- New version
- Drop patch (merged upstream)

* Mon Feb 11 2008 Paulo Andrade <pcpa@mandriva.com.br> 2.1.3-5mdv2008.1
+ Revision: 165610
- Revert to use upstream tarball and remove local patches.

* Tue Jan 22 2008 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 2.1.3-4mdv2008.1
+ Revision: 156618
- re-enable rpm debug packages support

* Fri Jan 18 2008 Paulo Andrade <pcpa@mandriva.com.br> 2.1.3-3mdv2008.1
+ Revision: 154796
- Updated BuildRequires and resubmit package.
- Remove -devel package as it isn't really required as it provides only 2 files
  that aren't even header files; still don't install the .la files.
  All dependency files should be stored in the x11-util-modular package as they
  are only required for the "modular" build.
  Also, add missing patch to remove call to a function that does not exist
  anymore.
- Move .la files to new -devel package, and also add .deps files to -devel package.
- There are signficant changes since xf86-video-savage-2.1.3 branch, so
  while fixing it to use the proper tag for the tarball, the mandriva branch
  was moved down to not include the recent, possibly experimental changes.
- Update for new policy of hidden symbols and common macros.

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Oct 16 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 2.1.3-2mdv2008.1
+ Revision: 99045
- minor spec cleanup
- build against new xserver (1.4)

* Fri Aug 17 2007 Thierry Vignaud <tv@mandriva.org> 2.1.3-1mdv2008.0
+ Revision: 64854
- fix man pages
- new release


* Tue Nov 21 2006 Thierry Vignaud <tvignaud@mandriva.com> 2.1.2-1mdv2007.0
+ Revision: 85909
- new release
- killing old sources
- fix group

  + Gustavo Pichorim Boiko <boiko@mandriva.com>
    - rebuild to fix cooker uploading
    - Updated drivers for X11R7.1
    - increment release
    - Adding X.org 7.0 to the repository

  + Andreas Hasenack <andreas@mandriva.com>
    - renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

